# A11y Checker Rules

- Document type: [Doctype syntax](https://w3c.github.io/html/syntax.html#the-doctype)

- Page title: [Web pages have titles that describe topic or purpose](https://www.w3.org/TR/2008/REC-WCAG20-20081211/#navigation-mechanisms-title)

- Document Language: [The default human language of each Web page can be programmatically determined](https://www.w3.org/TR/2008/REC-WCAG20-20081211/#meaning-doc-lang-id)

- Document encoding: [Declaring character encodings in HTML ](https://www.w3.org/International/questions/qa-html-encoding-declarations)

- Document scalable: [Resize text](https://www.w3.org/TR/UNDERSTANDING-WCAG20/visual-audio-contrast-scale.html)

- Heading: [Headings and sections](https://www.w3.org/TR/2014/REC-html5-20141028/sections.html#headings-and-sections)

- Images: [Every image must have an alt attribute](https://webaim.org/techniques/alttext/)

- Links: [Providing context for the links](https://www.w3.org/TR/2013/NOTE-WCAG20-TECHS-20130905/G53)

- Buttons: [Providing descriptive text for buttons](https://www.w3.org/TR/WCAG20-TECHS/FLASH27.html)

- Forms: [Providing descriptive label for forms](https://www.w3.org/TR/2014/NOTE-WCAG20-TECHS-20140408/H44)

- Iframes: [Providing descriptive title for iframes](https://www.w3.org/TR/2014/NOTE-WCAG20-TECHS-20140408/H64)

- Audios: [Providing an alternative for time-based media for audio-only content](https://www.w3.org/TR/WCAG20-TECHS/G158.html)

- Videos: [Providing an alternative for time-based media for video-only content](https://www.w3.org/TR/WCAG20-TECHS/G159.html)

- Positive tabindex value: [Focus order](https://www.w3.org/TR/2008/REC-WCAG20-20081211/#navigation-mechanisms-focus-order)
- Unique IDs: [the id attribute value must be unique](https://www.w3.org/TR/html5/dom.html#ref-for-concept-id⑦)
